package LATMOS::Accounts::Web::Controller::Json::FreeIp;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Json::RefVal - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    my $base = $c->model('Accounts')->db;
    my $zone = $base->get_object('netzone', $c->req->param('zone'))
        or return;

    my $term = $c->req->param('term') || '';
    $c->stash->{data} = [
        { label => 'IP aléatoire', value => 'any'   }, 
        { label => 'Première IP',  value => 'first' },
        map { { label => $_, value => $_ } } grep { $_ =~ /\Q$term\E/i } $zone->get_attributes('freeIP') 
    ];

}



=encoding utf8

=head1 AUTHOR

olivier

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
